take_it_easy
================

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

The game has two modes:

“play”: In the play mode, the entire game will be simulated including
drawing tiles randomly. This is usefull to play with the computer or to
train an Reinforcement Learning algorithm

“input”: In input mode, the user specifies what tile has been drawn,
e.g., when playing a real-life game

## Install

``` sh
pip install take_it_easy
```

## How to use

To play the game with random actions:

``` python
from take_it_easy.tiles import Tiles
from take_it_easy.board import Board
from take_it_easy.play import play_random_game
```

``` python
board = Board()
tiles = Tiles()
play_random_game(board, tiles, return_board = True)
```

    [[-2  0  2  0  0  0]
     [-2  1  1  0  0  0]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  0  0  0]
     [-1  2 -1  0  0  0]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  0  0  0]
     [ 2  0 -2  0  0  0]]
    Score impact: 0, potential score impact: 24
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  0  0  0]
     [-1  2 -1  0  0  0]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  0  0  0]
     [ 2  0 -2  0  0  0]]
    Score impact: 0, potential score impact: 2
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  0  0  0]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  0  0  0]
     [ 2  0 -2  0  0  0]]
    Score impact: 0, potential score impact: 11
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  0  0  0]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  0  0  0]]
    Score impact: 0, potential score impact: 6
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  0  0  0]]
    Score impact: 0, potential score impact: 1
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  0  0  0]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: 14
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  0  0  0]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: 1
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  0  0  0]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -12
    [[-2  0  2  0  0  0]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -6
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  0  0  0]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -3
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  0  0  0]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -5
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  0  0  0]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: 0
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  0  0  0]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -2
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  0  0  0]
     [-1 -1  2  0  0  0]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -3
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  5  8  6]
     [-1 -1  2  0  0  0]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: 0
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  5  8  6]
     [-1 -1  2  9  4  6]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  0  0  0]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -2
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  5  8  6]
     [-1 -1  2  9  4  6]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  9  4  7]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  0  0  0]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -8
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  5  8  6]
     [-1 -1  2  9  4  6]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  9  4  7]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  0  0  0]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  1  4  7]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: -18
    [[-2  0  2  9  8  2]
     [-2  1  1  5  4  2]
     [-2  2  0  5  8  6]
     [-1 -1  2  9  4  6]
     [-1  0  1  5  3  2]
     [-1  1  0  9  3  6]
     [-1  2 -1  1  3  7]
     [ 0 -2  2  9  4  7]
     [ 0 -1  1  5  3  7]
     [ 0  0  0  1  3  6]
     [ 0  1 -1  1  4  2]
     [ 0  2 -2  1  8  6]
     [ 1 -2  1  9  8  7]
     [ 1 -1  0  1  8  2]
     [ 1  0 -1  5  4  6]
     [ 1  1 -2  9  8  6]
     [ 2 -2  0  1  4  7]
     [ 2 -1 -1  9  4  2]
     [ 2  0 -2  9  3  2]]
    Score impact: 0, potential score impact: 0
    finished game with score:  0
